IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network19.35.124.0/22
Usable hosts1,022
Subnet mask255.255.252.0
Addresses1,024
- Network address
19.35.124.0- Broadcast address
19.35.127.255- First usable
19.35.124.1- Last usable
19.35.127.254- Usable hosts
- 1,022 (1,024 less the network and broadcast addresses)
- Subnet mask
255.255.252.0- Wildcard mask
0.0.3.255(Cisco ACLs, OSPF)- Prefix length
- /22
- Type
- Public public
- Old class
- A (default /8)
- As numbers
- Hex
13237C00· Integer321092608to321093631 - Reverse DNS zones
124.35.19.in-addr.arpa125.35.19.in-addr.arpa126.35.19.in-addr.arpa127.35.19.in-addr.arpa
/22 is not on a 8-bit boundary, so it takes 4 /24 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00010011.00100011.01111100.00000000 | 19.35.124.0 |
| Subnet mask | 11111111.11111111.11111100.00000000 | 255.255.252.0 |
| Network | 00010011.00100011.01111100.00000000 | 19.35.124.0 |
| Broadcast | 00010011.00100011.01111111.11111111 | 19.35.127.255 |
Split into smaller subnets
19.35.124.0/22 makes 1,024 subnets of /32; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 19.35.124.0/32 | 19.35.124.0 to 19.35.124.0 | — | 1 |
| 2 | 19.35.124.1/32 | 19.35.124.1 to 19.35.124.1 | — | 1 |
| 3 | 19.35.124.2/32 | 19.35.124.2 to 19.35.124.2 | — | 1 |
| 4 | 19.35.124.3/32 | 19.35.124.3 to 19.35.124.3 | — | 1 |
| 5 | 19.35.124.4/32 | 19.35.124.4 to 19.35.124.4 | — | 1 |
| 6 | 19.35.124.5/32 | 19.35.124.5 to 19.35.124.5 | — | 1 |
| 7 | 19.35.124.6/32 | 19.35.124.6 to 19.35.124.6 | — | 1 |
| 8 | 19.35.124.7/32 | 19.35.124.7 to 19.35.124.7 | — | 1 |
| 9 | 19.35.124.8/32 | 19.35.124.8 to 19.35.124.8 | — | 1 |
| 10 | 19.35.124.9/32 | 19.35.124.9 to 19.35.124.9 | — | 1 |
| 11 | 19.35.124.10/32 | 19.35.124.10 to 19.35.124.10 | — | 1 |
| 12 | 19.35.124.11/32 | 19.35.124.11 to 19.35.124.11 | — | 1 |
| 13 | 19.35.124.12/32 | 19.35.124.12 to 19.35.124.12 | — | 1 |
| 14 | 19.35.124.13/32 | 19.35.124.13 to 19.35.124.13 | — | 1 |
| 15 | 19.35.124.14/32 | 19.35.124.14 to 19.35.124.14 | — | 1 |
| 16 | 19.35.124.15/32 | 19.35.124.15 to 19.35.124.15 | — | 1 |
| 17 | 19.35.124.16/32 | 19.35.124.16 to 19.35.124.16 | — | 1 |
| 18 | 19.35.124.17/32 | 19.35.124.17 to 19.35.124.17 | — | 1 |
| 19 | 19.35.124.18/32 | 19.35.124.18 to 19.35.124.18 | — | 1 |
| 20 | 19.35.124.19/32 | 19.35.124.19 to 19.35.124.19 | — | 1 |
| 21 | 19.35.124.20/32 | 19.35.124.20 to 19.35.124.20 | — | 1 |
| 22 | 19.35.124.21/32 | 19.35.124.21 to 19.35.124.21 | — | 1 |
| 23 | 19.35.124.22/32 | 19.35.124.22 to 19.35.124.22 | — | 1 |
| 24 | 19.35.124.23/32 | 19.35.124.23 to 19.35.124.23 | — | 1 |
| 25 | 19.35.124.24/32 | 19.35.124.24 to 19.35.124.24 | — | 1 |
| 26 | 19.35.124.25/32 | 19.35.124.25 to 19.35.124.25 | — | 1 |
| 27 | 19.35.124.26/32 | 19.35.124.26 to 19.35.124.26 | — | 1 |
| 28 | 19.35.124.27/32 | 19.35.124.27 to 19.35.124.27 | — | 1 |
| 29 | 19.35.124.28/32 | 19.35.124.28 to 19.35.124.28 | — | 1 |
| 30 | 19.35.124.29/32 | 19.35.124.29 to 19.35.124.29 | — | 1 |
| 31 | 19.35.124.30/32 | 19.35.124.30 to 19.35.124.30 | — | 1 |
| 32 | 19.35.124.31/32 | 19.35.124.31 to 19.35.124.31 | — | 1 |
| 33 | 19.35.124.32/32 | 19.35.124.32 to 19.35.124.32 | — | 1 |
| 34 | 19.35.124.33/32 | 19.35.124.33 to 19.35.124.33 | — | 1 |
| 35 | 19.35.124.34/32 | 19.35.124.34 to 19.35.124.34 | — | 1 |
| 36 | 19.35.124.35/32 | 19.35.124.35 to 19.35.124.35 | — | 1 |
| 37 | 19.35.124.36/32 | 19.35.124.36 to 19.35.124.36 | — | 1 |
| 38 | 19.35.124.37/32 | 19.35.124.37 to 19.35.124.37 | — | 1 |
| 39 | 19.35.124.38/32 | 19.35.124.38 to 19.35.124.38 | — | 1 |
| 40 | 19.35.124.39/32 | 19.35.124.39 to 19.35.124.39 | — | 1 |
| 41 | 19.35.124.40/32 | 19.35.124.40 to 19.35.124.40 | — | 1 |
| 42 | 19.35.124.41/32 | 19.35.124.41 to 19.35.124.41 | — | 1 |
| 43 | 19.35.124.42/32 | 19.35.124.42 to 19.35.124.42 | — | 1 |
| 44 | 19.35.124.43/32 | 19.35.124.43 to 19.35.124.43 | — | 1 |
| 45 | 19.35.124.44/32 | 19.35.124.44 to 19.35.124.44 | — | 1 |
| 46 | 19.35.124.45/32 | 19.35.124.45 to 19.35.124.45 | — | 1 |
| 47 | 19.35.124.46/32 | 19.35.124.46 to 19.35.124.46 | — | 1 |
| 48 | 19.35.124.47/32 | 19.35.124.47 to 19.35.124.47 | — | 1 |
| 49 | 19.35.124.48/32 | 19.35.124.48 to 19.35.124.48 | — | 1 |
| 50 | 19.35.124.49/32 | 19.35.124.49 to 19.35.124.49 | — | 1 |
| 51 | 19.35.124.50/32 | 19.35.124.50 to 19.35.124.50 | — | 1 |
| 52 | 19.35.124.51/32 | 19.35.124.51 to 19.35.124.51 | — | 1 |
| 53 | 19.35.124.52/32 | 19.35.124.52 to 19.35.124.52 | — | 1 |
| 54 | 19.35.124.53/32 | 19.35.124.53 to 19.35.124.53 | — | 1 |
| 55 | 19.35.124.54/32 | 19.35.124.54 to 19.35.124.54 | — | 1 |
| 56 | 19.35.124.55/32 | 19.35.124.55 to 19.35.124.55 | — | 1 |
| 57 | 19.35.124.56/32 | 19.35.124.56 to 19.35.124.56 | — | 1 |
| 58 | 19.35.124.57/32 | 19.35.124.57 to 19.35.124.57 | — | 1 |
| 59 | 19.35.124.58/32 | 19.35.124.58 to 19.35.124.58 | — | 1 |
| 60 | 19.35.124.59/32 | 19.35.124.59 to 19.35.124.59 | — | 1 |
| 61 | 19.35.124.60/32 | 19.35.124.60 to 19.35.124.60 | — | 1 |
| 62 | 19.35.124.61/32 | 19.35.124.61 to 19.35.124.61 | — | 1 |
| 63 | 19.35.124.62/32 | 19.35.124.62 to 19.35.124.62 | — | 1 |
| 64 | 19.35.124.63/32 | 19.35.124.63 to 19.35.124.63 | — | 1 |
| 65 | 19.35.124.64/32 | 19.35.124.64 to 19.35.124.64 | — | 1 |
| 66 | 19.35.124.65/32 | 19.35.124.65 to 19.35.124.65 | — | 1 |
| 67 | 19.35.124.66/32 | 19.35.124.66 to 19.35.124.66 | — | 1 |
| 68 | 19.35.124.67/32 | 19.35.124.67 to 19.35.124.67 | — | 1 |
| 69 | 19.35.124.68/32 | 19.35.124.68 to 19.35.124.68 | — | 1 |
| 70 | 19.35.124.69/32 | 19.35.124.69 to 19.35.124.69 | — | 1 |
| 71 | 19.35.124.70/32 | 19.35.124.70 to 19.35.124.70 | — | 1 |
| 72 | 19.35.124.71/32 | 19.35.124.71 to 19.35.124.71 | — | 1 |
| 73 | 19.35.124.72/32 | 19.35.124.72 to 19.35.124.72 | — | 1 |
| 74 | 19.35.124.73/32 | 19.35.124.73 to 19.35.124.73 | — | 1 |
| 75 | 19.35.124.74/32 | 19.35.124.74 to 19.35.124.74 | — | 1 |
| 76 | 19.35.124.75/32 | 19.35.124.75 to 19.35.124.75 | — | 1 |
| 77 | 19.35.124.76/32 | 19.35.124.76 to 19.35.124.76 | — | 1 |
| 78 | 19.35.124.77/32 | 19.35.124.77 to 19.35.124.77 | — | 1 |
| 79 | 19.35.124.78/32 | 19.35.124.78 to 19.35.124.78 | — | 1 |
| 80 | 19.35.124.79/32 | 19.35.124.79 to 19.35.124.79 | — | 1 |
| 81 | 19.35.124.80/32 | 19.35.124.80 to 19.35.124.80 | — | 1 |
| 82 | 19.35.124.81/32 | 19.35.124.81 to 19.35.124.81 | — | 1 |
| 83 | 19.35.124.82/32 | 19.35.124.82 to 19.35.124.82 | — | 1 |
| 84 | 19.35.124.83/32 | 19.35.124.83 to 19.35.124.83 | — | 1 |
| 85 | 19.35.124.84/32 | 19.35.124.84 to 19.35.124.84 | — | 1 |
| 86 | 19.35.124.85/32 | 19.35.124.85 to 19.35.124.85 | — | 1 |
| 87 | 19.35.124.86/32 | 19.35.124.86 to 19.35.124.86 | — | 1 |
| 88 | 19.35.124.87/32 | 19.35.124.87 to 19.35.124.87 | — | 1 |
| 89 | 19.35.124.88/32 | 19.35.124.88 to 19.35.124.88 | — | 1 |
| 90 | 19.35.124.89/32 | 19.35.124.89 to 19.35.124.89 | — | 1 |
| 91 | 19.35.124.90/32 | 19.35.124.90 to 19.35.124.90 | — | 1 |
| 92 | 19.35.124.91/32 | 19.35.124.91 to 19.35.124.91 | — | 1 |
| 93 | 19.35.124.92/32 | 19.35.124.92 to 19.35.124.92 | — | 1 |
| 94 | 19.35.124.93/32 | 19.35.124.93 to 19.35.124.93 | — | 1 |
| 95 | 19.35.124.94/32 | 19.35.124.94 to 19.35.124.94 | — | 1 |
| 96 | 19.35.124.95/32 | 19.35.124.95 to 19.35.124.95 | — | 1 |
| 97 | 19.35.124.96/32 | 19.35.124.96 to 19.35.124.96 | — | 1 |
| 98 | 19.35.124.97/32 | 19.35.124.97 to 19.35.124.97 | — | 1 |
| 99 | 19.35.124.98/32 | 19.35.124.98 to 19.35.124.98 | — | 1 |
| 100 | 19.35.124.99/32 | 19.35.124.99 to 19.35.124.99 | — | 1 |
| 101 | 19.35.124.100/32 | 19.35.124.100 to 19.35.124.100 | — | 1 |
| 102 | 19.35.124.101/32 | 19.35.124.101 to 19.35.124.101 | — | 1 |
| 103 | 19.35.124.102/32 | 19.35.124.102 to 19.35.124.102 | — | 1 |
| 104 | 19.35.124.103/32 | 19.35.124.103 to 19.35.124.103 | — | 1 |
| 105 | 19.35.124.104/32 | 19.35.124.104 to 19.35.124.104 | — | 1 |
| 106 | 19.35.124.105/32 | 19.35.124.105 to 19.35.124.105 | — | 1 |
| 107 | 19.35.124.106/32 | 19.35.124.106 to 19.35.124.106 | — | 1 |
| 108 | 19.35.124.107/32 | 19.35.124.107 to 19.35.124.107 | — | 1 |
| 109 | 19.35.124.108/32 | 19.35.124.108 to 19.35.124.108 | — | 1 |
| 110 | 19.35.124.109/32 | 19.35.124.109 to 19.35.124.109 | — | 1 |
| 111 | 19.35.124.110/32 | 19.35.124.110 to 19.35.124.110 | — | 1 |
| 112 | 19.35.124.111/32 | 19.35.124.111 to 19.35.124.111 | — | 1 |
| 113 | 19.35.124.112/32 | 19.35.124.112 to 19.35.124.112 | — | 1 |
| 114 | 19.35.124.113/32 | 19.35.124.113 to 19.35.124.113 | — | 1 |
| 115 | 19.35.124.114/32 | 19.35.124.114 to 19.35.124.114 | — | 1 |
| 116 | 19.35.124.115/32 | 19.35.124.115 to 19.35.124.115 | — | 1 |
| 117 | 19.35.124.116/32 | 19.35.124.116 to 19.35.124.116 | — | 1 |
| 118 | 19.35.124.117/32 | 19.35.124.117 to 19.35.124.117 | — | 1 |
| 119 | 19.35.124.118/32 | 19.35.124.118 to 19.35.124.118 | — | 1 |
| 120 | 19.35.124.119/32 | 19.35.124.119 to 19.35.124.119 | — | 1 |
| 121 | 19.35.124.120/32 | 19.35.124.120 to 19.35.124.120 | — | 1 |
| 122 | 19.35.124.121/32 | 19.35.124.121 to 19.35.124.121 | — | 1 |
| 123 | 19.35.124.122/32 | 19.35.124.122 to 19.35.124.122 | — | 1 |
| 124 | 19.35.124.123/32 | 19.35.124.123 to 19.35.124.123 | — | 1 |
| 125 | 19.35.124.124/32 | 19.35.124.124 to 19.35.124.124 | — | 1 |
| 126 | 19.35.124.125/32 | 19.35.124.125 to 19.35.124.125 | — | 1 |
| 127 | 19.35.124.126/32 | 19.35.124.126 to 19.35.124.126 | — | 1 |
| 128 | 19.35.124.127/32 | 19.35.124.127 to 19.35.124.127 | — | 1 |
| 129 | 19.35.124.128/32 | 19.35.124.128 to 19.35.124.128 | — | 1 |
| 130 | 19.35.124.129/32 | 19.35.124.129 to 19.35.124.129 | — | 1 |
| 131 | 19.35.124.130/32 | 19.35.124.130 to 19.35.124.130 | — | 1 |
| 132 | 19.35.124.131/32 | 19.35.124.131 to 19.35.124.131 | — | 1 |
| 133 | 19.35.124.132/32 | 19.35.124.132 to 19.35.124.132 | — | 1 |
| 134 | 19.35.124.133/32 | 19.35.124.133 to 19.35.124.133 | — | 1 |
| 135 | 19.35.124.134/32 | 19.35.124.134 to 19.35.124.134 | — | 1 |
| 136 | 19.35.124.135/32 | 19.35.124.135 to 19.35.124.135 | — | 1 |
| 137 | 19.35.124.136/32 | 19.35.124.136 to 19.35.124.136 | — | 1 |
| 138 | 19.35.124.137/32 | 19.35.124.137 to 19.35.124.137 | — | 1 |
| 139 | 19.35.124.138/32 | 19.35.124.138 to 19.35.124.138 | — | 1 |
| 140 | 19.35.124.139/32 | 19.35.124.139 to 19.35.124.139 | — | 1 |
| 141 | 19.35.124.140/32 | 19.35.124.140 to 19.35.124.140 | — | 1 |
| 142 | 19.35.124.141/32 | 19.35.124.141 to 19.35.124.141 | — | 1 |
| 143 | 19.35.124.142/32 | 19.35.124.142 to 19.35.124.142 | — | 1 |
| 144 | 19.35.124.143/32 | 19.35.124.143 to 19.35.124.143 | — | 1 |
| 145 | 19.35.124.144/32 | 19.35.124.144 to 19.35.124.144 | — | 1 |
| 146 | 19.35.124.145/32 | 19.35.124.145 to 19.35.124.145 | — | 1 |
| 147 | 19.35.124.146/32 | 19.35.124.146 to 19.35.124.146 | — | 1 |
| 148 | 19.35.124.147/32 | 19.35.124.147 to 19.35.124.147 | — | 1 |
| 149 | 19.35.124.148/32 | 19.35.124.148 to 19.35.124.148 | — | 1 |
| 150 | 19.35.124.149/32 | 19.35.124.149 to 19.35.124.149 | — | 1 |
| 151 | 19.35.124.150/32 | 19.35.124.150 to 19.35.124.150 | — | 1 |
| 152 | 19.35.124.151/32 | 19.35.124.151 to 19.35.124.151 | — | 1 |
| 153 | 19.35.124.152/32 | 19.35.124.152 to 19.35.124.152 | — | 1 |
| 154 | 19.35.124.153/32 | 19.35.124.153 to 19.35.124.153 | — | 1 |
| 155 | 19.35.124.154/32 | 19.35.124.154 to 19.35.124.154 | — | 1 |
| 156 | 19.35.124.155/32 | 19.35.124.155 to 19.35.124.155 | — | 1 |
| 157 | 19.35.124.156/32 | 19.35.124.156 to 19.35.124.156 | — | 1 |
| 158 | 19.35.124.157/32 | 19.35.124.157 to 19.35.124.157 | — | 1 |
| 159 | 19.35.124.158/32 | 19.35.124.158 to 19.35.124.158 | — | 1 |
| 160 | 19.35.124.159/32 | 19.35.124.159 to 19.35.124.159 | — | 1 |
| 161 | 19.35.124.160/32 | 19.35.124.160 to 19.35.124.160 | — | 1 |
| 162 | 19.35.124.161/32 | 19.35.124.161 to 19.35.124.161 | — | 1 |
| 163 | 19.35.124.162/32 | 19.35.124.162 to 19.35.124.162 | — | 1 |
| 164 | 19.35.124.163/32 | 19.35.124.163 to 19.35.124.163 | — | 1 |
| 165 | 19.35.124.164/32 | 19.35.124.164 to 19.35.124.164 | — | 1 |
| 166 | 19.35.124.165/32 | 19.35.124.165 to 19.35.124.165 | — | 1 |
| 167 | 19.35.124.166/32 | 19.35.124.166 to 19.35.124.166 | — | 1 |
| 168 | 19.35.124.167/32 | 19.35.124.167 to 19.35.124.167 | — | 1 |
| 169 | 19.35.124.168/32 | 19.35.124.168 to 19.35.124.168 | — | 1 |
| 170 | 19.35.124.169/32 | 19.35.124.169 to 19.35.124.169 | — | 1 |
| 171 | 19.35.124.170/32 | 19.35.124.170 to 19.35.124.170 | — | 1 |
| 172 | 19.35.124.171/32 | 19.35.124.171 to 19.35.124.171 | — | 1 |
| 173 | 19.35.124.172/32 | 19.35.124.172 to 19.35.124.172 | — | 1 |
| 174 | 19.35.124.173/32 | 19.35.124.173 to 19.35.124.173 | — | 1 |
| 175 | 19.35.124.174/32 | 19.35.124.174 to 19.35.124.174 | — | 1 |
| 176 | 19.35.124.175/32 | 19.35.124.175 to 19.35.124.175 | — | 1 |
| 177 | 19.35.124.176/32 | 19.35.124.176 to 19.35.124.176 | — | 1 |
| 178 | 19.35.124.177/32 | 19.35.124.177 to 19.35.124.177 | — | 1 |
| 179 | 19.35.124.178/32 | 19.35.124.178 to 19.35.124.178 | — | 1 |
| 180 | 19.35.124.179/32 | 19.35.124.179 to 19.35.124.179 | — | 1 |
| 181 | 19.35.124.180/32 | 19.35.124.180 to 19.35.124.180 | — | 1 |
| 182 | 19.35.124.181/32 | 19.35.124.181 to 19.35.124.181 | — | 1 |
| 183 | 19.35.124.182/32 | 19.35.124.182 to 19.35.124.182 | — | 1 |
| 184 | 19.35.124.183/32 | 19.35.124.183 to 19.35.124.183 | — | 1 |
| 185 | 19.35.124.184/32 | 19.35.124.184 to 19.35.124.184 | — | 1 |
| 186 | 19.35.124.185/32 | 19.35.124.185 to 19.35.124.185 | — | 1 |
| 187 | 19.35.124.186/32 | 19.35.124.186 to 19.35.124.186 | — | 1 |
| 188 | 19.35.124.187/32 | 19.35.124.187 to 19.35.124.187 | — | 1 |
| 189 | 19.35.124.188/32 | 19.35.124.188 to 19.35.124.188 | — | 1 |
| 190 | 19.35.124.189/32 | 19.35.124.189 to 19.35.124.189 | — | 1 |
| 191 | 19.35.124.190/32 | 19.35.124.190 to 19.35.124.190 | — | 1 |
| 192 | 19.35.124.191/32 | 19.35.124.191 to 19.35.124.191 | — | 1 |
| 193 | 19.35.124.192/32 | 19.35.124.192 to 19.35.124.192 | — | 1 |
| 194 | 19.35.124.193/32 | 19.35.124.193 to 19.35.124.193 | — | 1 |
| 195 | 19.35.124.194/32 | 19.35.124.194 to 19.35.124.194 | — | 1 |
| 196 | 19.35.124.195/32 | 19.35.124.195 to 19.35.124.195 | — | 1 |
| 197 | 19.35.124.196/32 | 19.35.124.196 to 19.35.124.196 | — | 1 |
| 198 | 19.35.124.197/32 | 19.35.124.197 to 19.35.124.197 | — | 1 |
| 199 | 19.35.124.198/32 | 19.35.124.198 to 19.35.124.198 | — | 1 |
| 200 | 19.35.124.199/32 | 19.35.124.199 to 19.35.124.199 | — | 1 |
| 201 | 19.35.124.200/32 | 19.35.124.200 to 19.35.124.200 | — | 1 |
| 202 | 19.35.124.201/32 | 19.35.124.201 to 19.35.124.201 | — | 1 |
| 203 | 19.35.124.202/32 | 19.35.124.202 to 19.35.124.202 | — | 1 |
| 204 | 19.35.124.203/32 | 19.35.124.203 to 19.35.124.203 | — | 1 |
| 205 | 19.35.124.204/32 | 19.35.124.204 to 19.35.124.204 | — | 1 |
| 206 | 19.35.124.205/32 | 19.35.124.205 to 19.35.124.205 | — | 1 |
| 207 | 19.35.124.206/32 | 19.35.124.206 to 19.35.124.206 | — | 1 |
| 208 | 19.35.124.207/32 | 19.35.124.207 to 19.35.124.207 | — | 1 |
| 209 | 19.35.124.208/32 | 19.35.124.208 to 19.35.124.208 | — | 1 |
| 210 | 19.35.124.209/32 | 19.35.124.209 to 19.35.124.209 | — | 1 |
| 211 | 19.35.124.210/32 | 19.35.124.210 to 19.35.124.210 | — | 1 |
| 212 | 19.35.124.211/32 | 19.35.124.211 to 19.35.124.211 | — | 1 |
| 213 | 19.35.124.212/32 | 19.35.124.212 to 19.35.124.212 | — | 1 |
| 214 | 19.35.124.213/32 | 19.35.124.213 to 19.35.124.213 | — | 1 |
| 215 | 19.35.124.214/32 | 19.35.124.214 to 19.35.124.214 | — | 1 |
| 216 | 19.35.124.215/32 | 19.35.124.215 to 19.35.124.215 | — | 1 |
| 217 | 19.35.124.216/32 | 19.35.124.216 to 19.35.124.216 | — | 1 |
| 218 | 19.35.124.217/32 | 19.35.124.217 to 19.35.124.217 | — | 1 |
| 219 | 19.35.124.218/32 | 19.35.124.218 to 19.35.124.218 | — | 1 |
| 220 | 19.35.124.219/32 | 19.35.124.219 to 19.35.124.219 | — | 1 |
| 221 | 19.35.124.220/32 | 19.35.124.220 to 19.35.124.220 | — | 1 |
| 222 | 19.35.124.221/32 | 19.35.124.221 to 19.35.124.221 | — | 1 |
| 223 | 19.35.124.222/32 | 19.35.124.222 to 19.35.124.222 | — | 1 |
| 224 | 19.35.124.223/32 | 19.35.124.223 to 19.35.124.223 | — | 1 |
| 225 | 19.35.124.224/32 | 19.35.124.224 to 19.35.124.224 | — | 1 |
| 226 | 19.35.124.225/32 | 19.35.124.225 to 19.35.124.225 | — | 1 |
| 227 | 19.35.124.226/32 | 19.35.124.226 to 19.35.124.226 | — | 1 |
| 228 | 19.35.124.227/32 | 19.35.124.227 to 19.35.124.227 | — | 1 |
| 229 | 19.35.124.228/32 | 19.35.124.228 to 19.35.124.228 | — | 1 |
| 230 | 19.35.124.229/32 | 19.35.124.229 to 19.35.124.229 | — | 1 |
| 231 | 19.35.124.230/32 | 19.35.124.230 to 19.35.124.230 | — | 1 |
| 232 | 19.35.124.231/32 | 19.35.124.231 to 19.35.124.231 | — | 1 |
| 233 | 19.35.124.232/32 | 19.35.124.232 to 19.35.124.232 | — | 1 |
| 234 | 19.35.124.233/32 | 19.35.124.233 to 19.35.124.233 | — | 1 |
| 235 | 19.35.124.234/32 | 19.35.124.234 to 19.35.124.234 | — | 1 |
| 236 | 19.35.124.235/32 | 19.35.124.235 to 19.35.124.235 | — | 1 |
| 237 | 19.35.124.236/32 | 19.35.124.236 to 19.35.124.236 | — | 1 |
| 238 | 19.35.124.237/32 | 19.35.124.237 to 19.35.124.237 | — | 1 |
| 239 | 19.35.124.238/32 | 19.35.124.238 to 19.35.124.238 | — | 1 |
| 240 | 19.35.124.239/32 | 19.35.124.239 to 19.35.124.239 | — | 1 |
| 241 | 19.35.124.240/32 | 19.35.124.240 to 19.35.124.240 | — | 1 |
| 242 | 19.35.124.241/32 | 19.35.124.241 to 19.35.124.241 | — | 1 |
| 243 | 19.35.124.242/32 | 19.35.124.242 to 19.35.124.242 | — | 1 |
| 244 | 19.35.124.243/32 | 19.35.124.243 to 19.35.124.243 | — | 1 |
| 245 | 19.35.124.244/32 | 19.35.124.244 to 19.35.124.244 | — | 1 |
| 246 | 19.35.124.245/32 | 19.35.124.245 to 19.35.124.245 | — | 1 |
| 247 | 19.35.124.246/32 | 19.35.124.246 to 19.35.124.246 | — | 1 |
| 248 | 19.35.124.247/32 | 19.35.124.247 to 19.35.124.247 | — | 1 |
| 249 | 19.35.124.248/32 | 19.35.124.248 to 19.35.124.248 | — | 1 |
| 250 | 19.35.124.249/32 | 19.35.124.249 to 19.35.124.249 | — | 1 |
| 251 | 19.35.124.250/32 | 19.35.124.250 to 19.35.124.250 | — | 1 |
| 252 | 19.35.124.251/32 | 19.35.124.251 to 19.35.124.251 | — | 1 |
| 253 | 19.35.124.252/32 | 19.35.124.252 to 19.35.124.252 | — | 1 |
| 254 | 19.35.124.253/32 | 19.35.124.253 to 19.35.124.253 | — | 1 |
| 255 | 19.35.124.254/32 | 19.35.124.254 to 19.35.124.254 | — | 1 |
| 256 | 19.35.124.255/32 | 19.35.124.255 to 19.35.124.255 | — | 1 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |